Summary:	An X Window System based CPU state monitor
Name:		xcpustate
Version:	2.5
Release:	20mdk
License:	MIT-style
Group:		Monitoring
BuildRequires:	XFree86-devel libelf-devel X11
URL:		ftp://ftp.cs.toronto.edu/pub/jdd/xcpustate/

Source0:	ftp://ftp.cs.toronto.edu/pub/jdd/xcpustate/%{name}-%{version}.tar.bz2
Source11:	%{name}16.png
Source12:	%{name}32.png
Source13:	%{name}48.png
Patch0:		xcpustate-%{version}-nlist.patch.bz2
Patch1:		xcpustate-%{version}-alpha.patch.bz2
Patch2:		xcpustate-%{version}-6.0.patch.bz2
Patch3:		%{name}-libelf.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xcpustate utility is an X Window System based monitor which shows
the amount of time that the CPU is spending in different states.  On a
Linux system, xcpustate displays a bar that indicates the amounts of idle,
user, nice and system time (from left to right) used by the CPU.

Install the xcpustate package if you'd like to use a horizontal bar style
CPU state monitor.

%prep
%setup -q
%patch0 -p1 -b .nlist
%patch2 -p1 -b .glibc
%patch3 -p1 -b .libelf
%ifarch alpha
%patch1 -p1 -b .alpha
%endif


%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} install.man

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(xcpustate):\
        needs="X11"\
        section="Applications/Monitoring"\
        title="Xcpustate"\
        longtitle="Cpu load indicator"\
        command="/usr/X11R6/bin/xcpustate"\
        icon="xcpustate.png"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%attr(0755,root,root) /usr/X11R6/bin/xcpustate
%attr(0644,root,root) /usr/X11R6/man/man1/xcpustate.1x*
/usr/X11R6/lib/X11/doc/html/xcpustate.1.html
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-20mdk
- fix buildrequires
- cleanups

* Wed Sep  1 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.5-19mdk
- rebuild for rpm 4.2

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-18mdk
- rebuild for rpm 4.2
- menu in spec
- png icons
- patch3 (libelf location)

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 2.5-17mdk
- added URL tag.

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.5-16mdk
- BuildRequires:	libelf-devel
- Remove BuildRequires:	libelf

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5-15mdk
- Use %%_tmppath for BuildRoot
- Use %%update_menus and %%clean_menus macros
- Use macrons in %%files section

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 2.5-14mdk
- added libelf in buildrequire.

* Mon Nov 27 2000 dam's <damien@mandrakesoft.com> 2.5-13mdk
- corrected menu, icon, licence.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.5-12mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.5-11mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.5-10mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.5-9mdk
- Added icon for menu entry.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 2.5-8mdk
- Release.

* Fri Nov 12 1999 dam's <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix handling of RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0
- added patch to build

* Wed Jun 03 1998 Jeff Johnson <jbj@redhat.com>
- Created.
